org.apache.sling.hapi.client

## Interface HtmlClient

All Known Implementing Classes:
  AbstractHtmlClientImpl, MicrodataHtmlClient

    public interface HtmlClient

### Method Summary

Methods
`<T extends Document> T` `delete(String url)` Performs a DELETE request and returns a Document
`<T extends Document> T` `enter(String url)` Enters a url and return a Document
`<T extends Document> T` `get(String url)` Performs a GET request and returns a Document
`<T extends Document> T` `newDocument(String html)` Method to create a new Document representation from an HTML content String
`<T extends Document> T` `post(String url, org.apache.http.HttpEntity entity)` Performs a POST request.

### Method Detail

#### enter

    <T extends Document> T enter(String url)
                             throws ClientException

Enters a url and return a Document

Parameters:
  `url` -
Returns:
Throws:
  `ClientException`

#### get

    <T extends Document> T get(String url)
                           throws ClientException

Performs a GET request and returns a Document

Parameters:
  `url` - the URL String to perform an HTTP GET on
Returns:
Throws:
  `ClientException`

#### post

    <T extends Document> T post(String url,
                              org.apache.http.HttpEntity entity)
                            throws ClientException

Performs a POST request.

Parameters:
  `url` - the URL String to perform an HTTP post on
  `entity` - data to post
Returns:
Throws:
  `ClientException`

#### delete

    <T extends Document> T delete(String url)
                              throws ClientException

Performs a DELETE request and returns a Document

Parameters:
  `url` - the URL String to perform an HTTP DELETE on
Returns:
Throws:
  `ClientException`

#### newDocument

    <T extends Document> T newDocument(String html)

Method to create a new Document representation from an HTML content String

Type Parameters:
  `T` -
Parameters:
  `html` -
Returns: